<div class="timeline-header" ng-if="$ctrl.isFilterEnabled()">

  <span class="big-title-blue" role="heading" aria-level="1">{{::$ctrl.getTitle()}}</span>

  <div class="timeline-buttons">
    <zs-dropdown-menu auto-close="false" data-options="$ctrl.getFilterOptions()" button-label="Filter"
      button-style="{'btn': true, 'btn-flat': true }" button-icon="menu-down" button-icon-options="'right'"
      zs-tooltip="Filter resultaten per categorie"
      zs-tooltip-options="{ attachment: 'top center', target: 'top center', offset: { x: 0, y: -35 } }">
    </zs-dropdown-menu>
    <button class="btn btn-flat btn-round timeline-search-button" ng-click="$ctrl.toggleSearch()"
      zs-tooltip="Timeline doorzoeken" aria-label="Timeline doorzoeken"
      zs-tooltip-options="{ attachment: 'top center', target: 'top center', offset: { x: 0, y: -35 } }">
      <zs-icon icon-type="magnify"></zs-icon>
    </button>
    <button class="btn btn-flat btn-round timeline-log-download-button" ng-click="$ctrl.downloadEventLog()"
      zs-tooltip="Logboek downloaden" aria-label="Logboek downloaden"
      zs-tooltip-options="{ attachment: 'top center', target: 'top center', offset: { x: 0, y: -35 } }">
      <zs-icon icon-type="download"></zs-icon>
    </button>
    <div class="timeline-search list-search" ng-if="$ctrl.isSearchOpen()">
      <zs-icon icon-type="magnify"></zs-icon>
      <input ng-model="$ctrl.searchQuery"
        ng-model-options="{ debounce: { default: 250, blur: 0 }, updateOn: 'blur default' }"
        ng-change="$ctrl.handleSearchQuery()" ng-keyup="$ctrl.handleSearchKeyUp($event)"
        placeholder="Doorzoek timeline" />
      <button class="button-reset timeline-search-close-button list-search-close-button" ng-click="$ctrl.toggleSearch()"
        aria-label="Sluiten">
        <zs-icon icon-type="close-circle"></zs-icon>
      </button>
    </div>
  </div>

</div>

<ul class="timeline-events" ng-if="$ctrl.getEvents().length">
  <li ng-repeat="item in $ctrl.getEvents() track by item.id" class="timeline-event">
    <zs-timeline-event data-event="item"></zs-timeline-event>
  </li>
</ul>

<button class="btn btn-flat timeline-load-more-events-button" ng-click="$ctrl.loadMore()"
  ng-if="$ctrl.isMoreAvailable()">
  Laad meer items
</button>

<div class="timeline-no-events" ng-if="!$ctrl.getEvents().length && !$ctrl.isLoading()">
  <span>{{::$ctrl.getNoItemsFoundMessage()}}</span>
</div>

<zs-spinner is-loading="$ctrl.isLoading()"></zs-spinner>